Skip to main content
POST
/
agents
/
{agent_id}
/
runs
Trigger a run
curl --request POST \
  --url https://whatsrb.com/api/v1/agents/{agent_id}/runs \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "run": {
    "input": "<unknown>",
    "metadata": {}
  }
}
'
{
  "data": {
    "id": "run_abc123",
    "agent_id": "<string>",
    "status": "pending",
    "triggered_by": "api",
    "input": "<unknown>",
    "output": "<unknown>",
    "model_used": "<string>",
    "input_tokens": 123,
    "output_tokens": 123,
    "latency_ms": 123,
    "duration_ms": 123,
    "error_message": "<string>",
    "completed_at": "2023-11-07T05:31:56Z",
    "created_at": "2023-11-07T05:31:56Z"
  }
}

Authorizations

Authorization
string
header
required

API key from the WhatsRB dashboard. Format: Bearer wrb_live_xxx

Path Parameters

agent_id
string
required

Agent external ID (agt_xxx)

Body

application/json
run
object
required

Response

Created (processing async)

data
object